// Tide Protocol - Infrastructure for the Personal Data economy
// Copyright (C) 2019 Tide Foundation Ltd
// 
// This program is free software and is subject to the terms of 
// the Tide Community Open Source License as published by the 
// Tide Foundation Limited. You may modify it and redistribute 
// it in accordance with and subject to the terms of that License.
// This program is distributed WITHOUT WARRANTY of any kind, 
// including without any implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE.
// See the Tide Community Open Source License for more details.
// You should have received a copy of the Tide Community Open 
// Source License along with this program.
// If not, see https://tide.org/licenses_tcosl-1-0-en

import hash from './src/hash';

hash.asmUrl = ""; //<-- this is just in test mode

function log(message) {
    var span = document.createElement("h2");
    span.appendChild(document.createTextNode(message));
    document.body.appendChild(span);
}

function perfomHash() {
    var ini = Date.now();
    let servers = [];
    for (let i = 0; i < 12; i++) {
        servers.push('node' + i);
    }
    
    hash.passwords('this is my password', 'this is my sal', servers).then(passwords => {
        var elapsed = Math.round(Date.now() - ini);
        log('Elapsed: ' + elapsed + 'ms' + ' or ' + elapsed / 1000 + 'sg');

        for (let i = 0; i < passwords.length; i++) {
            log("for "+ passwords[i].server + ": " + passwords[i].pass);
        }
    }).catch(e => {
        console.error(e);
        log("error");
        log(e.message);
        log(e.code);
        log('Elapsed: ' + Math.round(Date.now() - ini) + 'ms');
    });
}

perfomHash();
