// Tide Protocol - Infrastructure for the Personal Data economy
// Copyright (C) 2019 Tide Foundation Ltd
// 
// This program is free software and is subject to the terms of 
// the Tide Community Open Source License as published by the 
// Tide Foundation Limited. You may modify it and redistribute 
// it in accordance with and subject to the terms of that License.
// This program is distributed WITHOUT WARRANTY of any kind, 
// including without any implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE.
// See the Tide Community Open Source License for more details.
// You should have received a copy of the Tide Community Open 
// Source License along with this program.
// If not, see https://tide.org/licenses_tcosl-1-0-en

import TSignFlow from '../src/tsignFlow';
import EcScalar from '../src/ecScalar';

var user = 'tide';
var message = 'Tide protects the sensitive data you entrust to businesses 🔐';
var urls = ['http://localhost:5001', 'http://localhost:5002', 'http://localhost:5003'];
var key = new EcScalar(123456);

var flow = new TSignFlow(urls, user);
flow.share(key)
    .then(() => flow.sign(message))
    .then((sign) => {
        console.log(getlink(message, sign.address, sign.signature));
    }).catch(err => {
        console.log(err.response.text);
        console.log(err);
    });

function getlink(message, address, signature) {
    return `https://brainwalletx.github.io/#verify?vrAddr=${address}&vrMsg=${encodeURI(message)}&vrSig=${encodeURI(signature)}`;
}
