import assert from 'assert';
import EcScalar from '../src/ecScalar.js';
import TFastCi from '../src/models/tfastCi.js';

describe('TFastCi', function () {
    it('should serialize and deserialize', function () {
        for (var i = 0; i < 20; i++) {
            var c1 = new TFastCi(EcScalar.random().value, Math.random() > 0.5, EcScalar.random(), EcScalar.random(), EcScalar.random(), EcScalar.random().toArray());
            var c2 = TFastCi.from(c1.toString());

            assert.equal(c1.tranId.equals(c2.tranId), true)
            assert.equal(c1.from.equals(c2.from), true)
            assert.equal(c1.to.equals(c2.to), true)
            assert.equal(c1.ciui.equals(c2.ciui), true)
            assert.equal(c1.isFromNeg, c2.isFromNeg)

            assert.equal(Buffer.from(c1.vij).toString('base64'), Buffer.from(c2.vij).toString('base64'))
        }
    });
});
